#
# spec file for package arabtex (Version 3.09f)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  tetex
# usedforbuild    aaa_base aaa_dir aaa_version autoconf automake base bash bindutil binutils bison bzip cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit te_ams te_latex tetex texinfo textutils timezone unzip util-linux vim

Name:         arabtex
License:      Prof. Klaus Lagally
Group:        Productivity/Publishing/TeX/Base
Requires:     tetex
Autoreqprov:  on
Version:      3.09f
Release:      405
Summary:      Multilingual Computer Typesetting
Source:       ftp://ftp.informatik.uni-stuttgart.de/pub/arabtex/arabtex.tar.Z
Source1:      ftp://ftp.informatik.uni-stuttgart.de/pub/arabtex/apatch.sty
Source2:      ftp://ftp.informatik.uni-stuttgart.de/pub/arabtex/hepatch.sty
Url:          ftp://ftp.informatik.uni-stuttgart.de/pub/arabtex/
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
ArabTeX is a system for computer based typesetting of texts in the Roman script, which may contain insertions in some right-to-left script as Arabic and Hebrew. It is based on the typesetting package TeX by D.  E. Knuth, and optionally on its extension LaTeX.

Authors:
--------
    Prof. Klaus Lagally <lagally@informatik.uni-stuttgart.de>

SuSE series: tex

%prep
%setup -n arabtex

%build
cp %{SOURCE1} .
cp %{SOURCE2} .

%install
install -d $RPM_BUILD_ROOT/usr/share/texmf/fonts/tfm/arabtex
install -d $RPM_BUILD_ROOT/usr/share/texmf/fonts/source/arabtex
install -d $RPM_BUILD_ROOT/usr/share/texmf/tex/arabtex
install -d $RPM_BUILD_ROOT/usr/share/texmf/tex/latex/arabtex
install -d $RPM_BUILD_ROOT/usr/share/texmf/doc/arabtex
install -d $RPM_BUILD_ROOT/usr/share/texmf/fonts/type1/arabtex/xnsh
install -d $RPM_BUILD_ROOT/usr/share/texmf/fonts/pk/
install -d $RPM_BUILD_ROOT
cp -f tfm/*.tfm $RPM_BUILD_ROOT/usr/share/texmf/fonts/tfm/arabtex
cp -f mfinput/*.mf $RPM_BUILD_ROOT/usr/share/texmf/fonts/source/arabtex
cp -f texinput/* $RPM_BUILD_ROOT/usr/share/texmf/tex/arabtex
cp -f texinput/*.sty texinput/*.fd $RPM_BUILD_ROOT/usr/share/texmf/tex/latex/arabtex
cp -f report/* $RPM_BUILD_ROOT/usr/share/texmf/doc/arabtex
cp -f apatch.sty $RPM_BUILD_ROOT/usr/share/texmf/tex/latex/arabtex
cp -f hepatch.sty $RPM_BUILD_ROOT/usr/share/texmf/tex/latex/arabtex
cp -f laser.pk/* $RPM_BUILD_ROOT/usr/share/texmf/fonts/pk/ 
cp -f psfonts/*.pfb $RPM_BUILD_ROOT/usr/share/texmf/fonts/type1/arabtex/xnsh
DOCS="announce.txt arabtex.htm apatch.sty changes.txt install.txt readme.txt arabtex.gif"
DOCDIR=$RPM_BUILD_ROOT/usr/share/texmf/doc/arabtex
install -m 644 ${DOCS} ${DOCDIR}
install -d ${DOCDIR}/examples
install -d ${DOCDIR}/doc
install -m 644 examples/* ${DOCDIR}/examples
install -m 644 doc/* ${DOCDIR}/doc
mkdir -p $RPM_BUILD_ROOT/var/adm/SuSEconfig
touch $RPM_BUILD_ROOT/var/adm/SuSEconfig/run-texhash

%files
/var/adm/SuSEconfig/run-texhash
%dir /usr/share/texmf/fonts/source/arabtex
/usr/share/texmf/fonts/source/arabtex/arabsymb.mf
/usr/share/texmf/fonts/source/arabtex/hcaption.mf
/usr/share/texmf/fonts/source/arabtex/hcbase.mf
/usr/share/texmf/fonts/source/arabtex/hclassic.mf
/usr/share/texmf/fonts/source/arabtex/nash.mf
/usr/share/texmf/fonts/source/arabtex/nash14.mf
/usr/share/texmf/fonts/source/arabtex/nash14bf.mf
/usr/share/texmf/fonts/source/arabtex/nashbase.mf
/usr/share/texmf/fonts/source/arabtex/nashchar.mf
/usr/share/texmf/fonts/source/arabtex/nashdia.mf
/usr/share/texmf/fonts/source/arabtex/nashdig.mf
/usr/share/texmf/fonts/source/arabtex/nashlig.mf
/usr/share/texmf/fonts/source/arabtex/nashspec.mf
/usr/share/texmf/fonts/source/arabtex/xarbsymb.mf
/usr/share/texmf/fonts/source/arabtex/xnsh.mf
/usr/share/texmf/fonts/source/arabtex/xnsh14.mf
/usr/share/texmf/fonts/source/arabtex/xnsh14bf.mf
/usr/share/texmf/fonts/source/arabtex/xnshbase.mf
/usr/share/texmf/fonts/source/arabtex/xnshchar.mf
/usr/share/texmf/fonts/source/arabtex/xnshdia.mf
/usr/share/texmf/fonts/source/arabtex/xnshdig.mf
/usr/share/texmf/fonts/source/arabtex/xnshlig.mf
/usr/share/texmf/fonts/source/arabtex/xnshspec.mf
%dir /usr/share/texmf/fonts/pk
/usr/share/texmf/fonts/pk/hcaption.300pk
/usr/share/texmf/fonts/pk/hcaption.329pk
/usr/share/texmf/fonts/pk/hcaption.360pk
/usr/share/texmf/fonts/pk/hcaption.432pk
/usr/share/texmf/fonts/pk/hcaption.518pk
/usr/share/texmf/fonts/pk/hcaption.622pk
/usr/share/texmf/fonts/pk/hcaption.746pk
/usr/share/texmf/fonts/pk/hclassic.300pk
/usr/share/texmf/fonts/pk/hclassic.329pk
/usr/share/texmf/fonts/pk/hclassic.360pk
/usr/share/texmf/fonts/pk/hclassic.432pk
/usr/share/texmf/fonts/pk/hclassic.518pk
/usr/share/texmf/fonts/pk/hclassic.622pk
/usr/share/texmf/fonts/pk/hclassic.746pk
/usr/share/texmf/fonts/pk/nash14.300pk
/usr/share/texmf/fonts/pk/nash14.329pk
/usr/share/texmf/fonts/pk/nash14.360pk
/usr/share/texmf/fonts/pk/nash14.432pk
/usr/share/texmf/fonts/pk/nash14.518pk
/usr/share/texmf/fonts/pk/nash14.622pk
/usr/share/texmf/fonts/pk/nash14.746pk
/usr/share/texmf/fonts/pk/nash14bf.300pk
/usr/share/texmf/fonts/pk/nash14bf.329pk
/usr/share/texmf/fonts/pk/nash14bf.360pk
/usr/share/texmf/fonts/pk/nash14bf.432pk
/usr/share/texmf/fonts/pk/nash14bf.518pk
/usr/share/texmf/fonts/pk/nash14bf.622pk
/usr/share/texmf/fonts/pk/nash14bf.746pk
/usr/share/texmf/fonts/pk/xnsh14.300pk
/usr/share/texmf/fonts/pk/xnsh14.329pk
/usr/share/texmf/fonts/pk/xnsh14.360pk
/usr/share/texmf/fonts/pk/xnsh14.432pk
/usr/share/texmf/fonts/pk/xnsh14.518pk
/usr/share/texmf/fonts/pk/xnsh14.622pk
/usr/share/texmf/fonts/pk/xnsh14.746pk
/usr/share/texmf/fonts/pk/xnsh14bf.300pk
/usr/share/texmf/fonts/pk/xnsh14bf.329pk
/usr/share/texmf/fonts/pk/xnsh14bf.360pk
/usr/share/texmf/fonts/pk/xnsh14bf.432pk
/usr/share/texmf/fonts/pk/xnsh14bf.518pk
/usr/share/texmf/fonts/pk/xnsh14bf.622pk
/usr/share/texmf/fonts/pk/xnsh14bf.746pk
/usr/share/texmf/fonts/pk/yarborn.300pk
/usr/share/texmf/fonts/pk/yarborn.329pk
/usr/share/texmf/fonts/pk/yarborn.360pk
/usr/share/texmf/fonts/pk/yarborn.432pk
/usr/share/texmf/fonts/pk/yarborn.518pk
/usr/share/texmf/fonts/pk/yarborn.622pk
/usr/share/texmf/fonts/pk/yarborn.746pk
%dir /usr/share/texmf/fonts/tfm/arabtex
/usr/share/texmf/fonts/tfm/arabtex/hcaption.tfm
/usr/share/texmf/fonts/tfm/arabtex/hclassic.tfm
/usr/share/texmf/fonts/tfm/arabtex/nash14.tfm
/usr/share/texmf/fonts/tfm/arabtex/nash14bf.tfm
/usr/share/texmf/fonts/tfm/arabtex/xnsh14.tfm
/usr/share/texmf/fonts/tfm/arabtex/xnsh14bf.tfm
/usr/share/texmf/fonts/tfm/arabtex/yarborn.tfm
%dir /usr/share/texmf/fonts/type1/arabtex/xnsh
/usr/share/texmf/fonts/type1/arabtex/xnsh/xnsh14.pfb
/usr/share/texmf/fonts/type1/arabtex/xnsh/xnsh14bf.pfb
%dir /usr/share/texmf/tex/latex/arabtex
/usr/share/texmf/tex/latex/arabtex/abidir.sty
/usr/share/texmf/tex/latex/arabtex/abjad.sty
/usr/share/texmf/tex/latex/arabtex/aboxes.sty
/usr/share/texmf/tex/latex/arabtex/acjk.sty
/usr/share/texmf/tex/latex/arabtex/acmd.sty
/usr/share/texmf/tex/latex/arabtex/aconfig.sty
/usr/share/texmf/tex/latex/arabtex/aedpatch.sty
/usr/share/texmf/tex/latex/arabtex/afonts.sty
/usr/share/texmf/tex/latex/arabtex/afonts0.sty
/usr/share/texmf/tex/latex/arabtex/afonts1.sty
/usr/share/texmf/tex/latex/arabtex/afonts2.sty
/usr/share/texmf/tex/latex/arabtex/alatex.sty
/usr/share/texmf/tex/latex/arabtex/aligs.sty
/usr/share/texmf/tex/latex/arabtex/alists.sty
/usr/share/texmf/tex/latex/arabtex/aoutput.sty
/usr/share/texmf/tex/latex/arabtex/aparse.sty
/usr/share/texmf/tex/latex/arabtex/apatch.sty
/usr/share/texmf/tex/latex/arabtex/arababel.sty
/usr/share/texmf/tex/latex/arabtex/arabchrs.sty
/usr/share/texmf/tex/latex/arabtex/arabext.sty
/usr/share/texmf/tex/latex/arabtex/arabskel.sty
/usr/share/texmf/tex/latex/arabtex/arabsymb.sty
/usr/share/texmf/tex/latex/arabtex/arabtex.sty
/usr/share/texmf/tex/latex/arabtex/arabtoks.sty
/usr/share/texmf/tex/latex/arabtex/arabwin.sty
/usr/share/texmf/tex/latex/arabtex/ascan.sty
/usr/share/texmf/tex/latex/arabtex/asect.sty
/usr/share/texmf/tex/latex/arabtex/asmo449.sty
/usr/share/texmf/tex/latex/arabtex/asmo449a.sty
/usr/share/texmf/tex/latex/arabtex/atabg.sty
/usr/share/texmf/tex/latex/arabtex/atrans.sty
/usr/share/texmf/tex/latex/arabtex/awrite.sty
/usr/share/texmf/tex/latex/arabtex/bhs.sty
/usr/share/texmf/tex/latex/arabtex/bhslabel.sty
/usr/share/texmf/tex/latex/arabtex/etrans.sty
/usr/share/texmf/tex/latex/arabtex/gedalin.sty
/usr/share/texmf/tex/latex/arabtex/hebchrs.sty
/usr/share/texmf/tex/latex/arabtex/hebsymb.sty
/usr/share/texmf/tex/latex/arabtex/hebtex.sty
/usr/share/texmf/tex/latex/arabtex/hecmd.sty
/usr/share/texmf/tex/latex/arabtex/hefonts.sty
/usr/share/texmf/tex/latex/arabtex/hefonts0.sty
/usr/share/texmf/tex/latex/arabtex/hefonts1.sty
/usr/share/texmf/tex/latex/arabtex/hefonts2.sty
/usr/share/texmf/tex/latex/arabtex/heparse.sty
/usr/share/texmf/tex/latex/arabtex/hepatch.sty
/usr/share/texmf/tex/latex/arabtex/hescan.sty
/usr/share/texmf/tex/latex/arabtex/hetrans.sty
/usr/share/texmf/tex/latex/arabtex/hewrite.sty
/usr/share/texmf/tex/latex/arabtex/isiri.sty
/usr/share/texmf/tex/latex/arabtex/iso88596.sty
/usr/share/texmf/tex/latex/arabtex/kashmiri.sty
/usr/share/texmf/tex/latex/arabtex/latexext.sty
/usr/share/texmf/tex/latex/arabtex/nashbf.sty
/usr/share/texmf/tex/latex/arabtex/raw.sty
/usr/share/texmf/tex/latex/arabtex/twoblks.sty
/usr/share/texmf/tex/latex/arabtex/utf8.sty
/usr/share/texmf/tex/latex/arabtex/utfarab.sty
/usr/share/texmf/tex/latex/arabtex/utfcode.sty
/usr/share/texmf/tex/latex/arabtex/utfhebr.sty
/usr/share/texmf/tex/latex/arabtex/verses.sty
/usr/share/texmf/tex/latex/arabtex/witbhs.sty
/usr/share/texmf/tex/latex/arabtex/xarbskel.sty
/usr/share/texmf/tex/latex/arabtex/xarbsymb.sty
/usr/share/texmf/tex/latex/arabtex/uheb.fd
/usr/share/texmf/tex/latex/arabtex/unash.fd
/usr/share/texmf/tex/latex/arabtex/uxnsh.fd
%dir /usr/share/texmf/tex/arabtex
/usr/share/texmf/tex/arabtex/abidir.sty
/usr/share/texmf/tex/arabtex/abjad.sty
/usr/share/texmf/tex/arabtex/aboxes.sty
/usr/share/texmf/tex/arabtex/acjk.sty
/usr/share/texmf/tex/arabtex/acmd.sty
/usr/share/texmf/tex/arabtex/aconfig.sty
/usr/share/texmf/tex/arabtex/aedpatch.sty
/usr/share/texmf/tex/arabtex/afonts.sty
/usr/share/texmf/tex/arabtex/afonts0.sty
/usr/share/texmf/tex/arabtex/afonts1.sty
/usr/share/texmf/tex/arabtex/afonts2.sty
/usr/share/texmf/tex/arabtex/alatex.sty
/usr/share/texmf/tex/arabtex/aligs.sty
/usr/share/texmf/tex/arabtex/alists.sty
/usr/share/texmf/tex/arabtex/aoutput.sty
/usr/share/texmf/tex/arabtex/aparse.sty
/usr/share/texmf/tex/arabtex/apatch.sty
/usr/share/texmf/tex/arabtex/arababel.sty
/usr/share/texmf/tex/arabtex/arabart.cls
/usr/share/texmf/tex/arabtex/arabbook.cls
/usr/share/texmf/tex/arabtex/arabchrs.sty
/usr/share/texmf/tex/arabtex/arabext.sty
/usr/share/texmf/tex/arabtex/arabrep.cls
/usr/share/texmf/tex/arabtex/arabskel.sty
/usr/share/texmf/tex/arabtex/arabsymb.sty
/usr/share/texmf/tex/arabtex/arabtex.sty
/usr/share/texmf/tex/arabtex/arabtex.tex
/usr/share/texmf/tex/arabtex/arabtoks.sty
/usr/share/texmf/tex/arabtex/arabwin.sty
/usr/share/texmf/tex/arabtex/ascan.sty
/usr/share/texmf/tex/arabtex/asect.sty
/usr/share/texmf/tex/arabtex/asize10.clo
/usr/share/texmf/tex/arabtex/asize11.clo
/usr/share/texmf/tex/arabtex/asize12.clo
/usr/share/texmf/tex/arabtex/asmo449.sty
/usr/share/texmf/tex/arabtex/asmo449a.sty
/usr/share/texmf/tex/arabtex/atabg.sty
/usr/share/texmf/tex/arabtex/atrans.sty
/usr/share/texmf/tex/arabtex/awrite.sty
/usr/share/texmf/tex/arabtex/bhs.sty
/usr/share/texmf/tex/arabtex/bhslabel.sty
/usr/share/texmf/tex/arabtex/captions.def
/usr/share/texmf/tex/arabtex/etrans.sty
/usr/share/texmf/tex/arabtex/gedalin.sty
/usr/share/texmf/tex/arabtex/hebchrs.sty
/usr/share/texmf/tex/arabtex/hebsymb.sty
/usr/share/texmf/tex/arabtex/hebtex.sty
/usr/share/texmf/tex/arabtex/hebtex.tex
/usr/share/texmf/tex/arabtex/hecmd.sty
/usr/share/texmf/tex/arabtex/hefonts.sty
/usr/share/texmf/tex/arabtex/hefonts0.sty
/usr/share/texmf/tex/arabtex/hefonts1.sty
/usr/share/texmf/tex/arabtex/hefonts2.sty
/usr/share/texmf/tex/arabtex/heparse.sty
/usr/share/texmf/tex/arabtex/hepatch.sty
/usr/share/texmf/tex/arabtex/hescan.sty
/usr/share/texmf/tex/arabtex/hetrans.sty
/usr/share/texmf/tex/arabtex/hewrite.sty
/usr/share/texmf/tex/arabtex/isiri.sty
/usr/share/texmf/tex/arabtex/iso88596.sty
/usr/share/texmf/tex/arabtex/kashmiri.sty
/usr/share/texmf/tex/arabtex/latexext.sty
/usr/share/texmf/tex/arabtex/nashbf.sty
/usr/share/texmf/tex/arabtex/raw.sty
/usr/share/texmf/tex/arabtex/twoblks.sty
/usr/share/texmf/tex/arabtex/uheb.fd
/usr/share/texmf/tex/arabtex/unash.fd
/usr/share/texmf/tex/arabtex/utf8.sty
/usr/share/texmf/tex/arabtex/utfarab.sty
/usr/share/texmf/tex/arabtex/utfcode.sty
/usr/share/texmf/tex/arabtex/utfhebr.sty
/usr/share/texmf/tex/arabtex/uxnsh.fd
/usr/share/texmf/tex/arabtex/verses.sty
/usr/share/texmf/tex/arabtex/witbhs.sty
/usr/share/texmf/tex/arabtex/xarbskel.sty
/usr/share/texmf/tex/arabtex/xarbsymb.sty
%dir %doc /usr/share/texmf/doc/arabtex
%doc /usr/share/texmf/doc/arabtex/arabdmac.tex
%doc /usr/share/texmf/doc/arabtex/arabdoc.aux
%doc /usr/share/texmf/doc/arabtex/arabdoc.idx
%doc /usr/share/texmf/doc/arabtex/arabdoc.ind
%doc /usr/share/texmf/doc/arabtex/arabdoc.lot
%doc /usr/share/texmf/doc/arabtex/arabdoc.tex
%doc /usr/share/texmf/doc/arabtex/arabdoc.toc
%doc /usr/share/texmf/doc/arabtex/arabdoc0.tex
%doc /usr/share/texmf/doc/arabtex/arabdoc1.tex
%doc /usr/share/texmf/doc/arabtex/arabdoc2.tex
%doc /usr/share/texmf/doc/arabtex/arabdoc3.tex
%doc /usr/share/texmf/doc/arabtex/arabdoc4.tex
%doc /usr/share/texmf/doc/arabtex/arabdoc5.tex
%doc /usr/share/texmf/doc/arabtex/arabdoc6.tex
%doc /usr/share/texmf/doc/arabtex/arabdoc7.tex
%doc /usr/share/texmf/doc/arabtex/arabdoc8.tex
%doc /usr/share/texmf/doc/arabtex/arabdoc9.tex
%doc /usr/share/texmf/doc/arabtex/arabdoca.tex
%doc /usr/share/texmf/doc/arabtex/arabdocb.tex
%doc /usr/share/texmf/doc/arabtex/arabdocc.tex
%doc /usr/share/texmf/doc/arabtex/arabdocd.tex
%doc /usr/share/texmf/doc/arabtex/arabdoce.tex
%doc /usr/share/texmf/doc/arabtex/arabdocf.tex
%doc /usr/share/texmf/doc/arabtex/arabdocg.tex
%doc /usr/share/texmf/doc/arabtex/arabdoch.tex
%doc /usr/share/texmf/doc/arabtex/arabdoci.tex
%doc /usr/share/texmf/doc/arabtex/arabimac.tex
%doc /usr/share/texmf/doc/arabtex/arabind.tex
%doc /usr/share/texmf/doc/arabtex/newindex.tex
%doc /usr/share/texmf/doc/arabtex/announce.txt
%doc /usr/share/texmf/doc/arabtex/arabtex.htm
%doc /usr/share/texmf/doc/arabtex/apatch.sty
%doc /usr/share/texmf/doc/arabtex/changes.txt
%doc /usr/share/texmf/doc/arabtex/install.txt
%doc /usr/share/texmf/doc/arabtex/readme.txt
%doc /usr/share/texmf/doc/arabtex/arabtex.gif
%dir /usr/share/texmf/doc/arabtex/examples
%doc /usr/share/texmf/doc/arabtex/examples/guha.dvi
%doc /usr/share/texmf/doc/arabtex/examples/guha.ps
%doc /usr/share/texmf/doc/arabtex/examples/guha.tex
%doc /usr/share/texmf/doc/arabtex/examples/ligtable.tex
%doc /usr/share/texmf/doc/arabtex/examples/malay.dvi
%doc /usr/share/texmf/doc/arabtex/examples/malay.ps
%doc /usr/share/texmf/doc/arabtex/examples/omar.tex
%doc /usr/share/texmf/doc/arabtex/examples/sindhi.dvi
%doc /usr/share/texmf/doc/arabtex/examples/sindhi.ps
%doc /usr/share/texmf/doc/arabtex/examples/uighur.dvi
%doc /usr/share/texmf/doc/arabtex/examples/uighur.ps
%dir /usr/share/texmf/doc/arabtex/doc
%doc /usr/share/texmf/doc/arabtex/doc/arabtex.doc
%doc /usr/share/texmf/doc/arabtex/doc/arabtex.faq
%doc /usr/share/texmf/doc/arabtex/doc/arwindoc.tex
%doc /usr/share/texmf/doc/arabtex/doc/changes2.txt
%doc /usr/share/texmf/doc/arabtex/doc/hebrew.305
%doc /usr/share/texmf/doc/arabtex/doc/kashmiri.tex
%doc /usr/share/texmf/doc/arabtex/doc/malay.tex
%doc /usr/share/texmf/doc/arabtex/doc/readme.305
%doc /usr/share/texmf/doc/arabtex/doc/sindhi.tex
%doc /usr/share/texmf/doc/arabtex/doc/uighur.tex

%changelog -n arabtex
* Thu May 23 2002 - nashif@suse.de
- Fix bug #16289: Make SuSEconfig.tetex run mktexlsr after installation
  of arabtex and make arabtex available to TeX system
* Sun Oct 29 2000 - nashif@suse.de
- Update to 3.09f
- Use BuildRoot
* Tue Mar 28 2000 - nashif@suse.de
- Changed group tag
- Update to version 3.09e
* Wed Feb 16 2000 - nashif@suse.de
- Updated to new version 3.09c
* Tue Oct 05 1999 - nashif@suse.de
- New Package: Arabtex 3.0.9
